<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: src/plugins/robots/crazyflie/simulator/crazyflie_entity.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_7020b8b7abcceffa3f9f7a2d24718f16.html">plugins</a></li><li class="navelem"><a class="el" href="dir_57fbab4b29583c403f1efb5284ea3eb3.html">robots</a></li><li class="navelem"><a class="el" href="dir_82540c9fcfb987b606f5fb531cb7ce0a.html">crazyflie</a></li><li class="navelem"><a class="el" href="dir_8f67be75dbc917b3ef586b0672f32ede.html">simulator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">crazyflie_entity.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="crazyflie__entity_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef CRAZYFLIE_ENTITY_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define CRAZYFLIE_ENTITY_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceargos.html">argos</a> {</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;   <span class="keyword">class </span>CControllableEntity;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;   <span class="keyword">class </span>CEmbodiedEntity;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;   <span class="keyword">class </span>CCrazyflieEntity;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;   <span class="keyword">class </span>CQuadRotorEntity;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;   <span class="keyword">class </span>CLEDEquippedEntity;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;   <span class="keyword">class </span>CRABEquippedEntity;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;   <span class="keyword">class </span>CCrazyflieCameraEquippedEntity;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;   <span class="keyword">class </span>CCrazyflieBatteryEquippedEntity;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;}</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;argos3/core/simulator/entity/composable_entity.h&gt;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceargos.html">argos</a> {</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieEntity.html">   27</a></span>&#160;   <span class="keyword">class </span><a class="code" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a> : <span class="keyword">public</span> CComposableEntity {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;   <span class="keyword">public</span>:</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieEntity.html#ae2c4f634d5f21ee5c91a1d012881c7c6">   31</a></span>&#160;      <a class="code" href="classargos_1_1CCrazyflieEntity.html#ae2c4f634d5f21ee5c91a1d012881c7c6">ENABLE_VTABLE</a>();</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;   <span class="keyword">public</span>:</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;      <a class="code" href="classargos_1_1CCrazyflieEntity.html#ad685b34fa259509f3c2ade5627cf11b5">CCrazyflieEntity</a>();</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;      <a class="code" href="classargos_1_1CCrazyflieEntity.html#ad685b34fa259509f3c2ade5627cf11b5">CCrazyflieEntity</a>(<span class="keyword">const</span> std::string&amp; str_id,</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;                   <span class="keyword">const</span> std::string&amp; str_controller_id,</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;                   <span class="keyword">const</span> CVector3&amp; c_position = CVector3(),</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;                   <span class="keyword">const</span> CQuaternion&amp; c_orientation = CQuaternion(),</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;                   Real f_rab_range = 3.0f,</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;                   <span class="keywordtype">size_t</span> un_rab_data_size = 10,</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;                   <span class="keyword">const</span> CRadians&amp; c_perspcam_aperture = ToRadians(CDegrees(33.75f)),</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;                   Real f_perspcam_focal_length = 0.035f,</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;                   Real f_perspcam_range = 3.0f);</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieEntity.html#a90dc7f29beaa3cff58aa1b4ef35f6bb8">Init</a>(TConfigurationNode&amp; t_tree);</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieEntity.html#aab96e45ee98984caaf1d117a14078961">Reset</a>();</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieEntity.html#a8ab007a8e365146bab417abac2597990">UpdateComponents</a>();</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieEntity.html#a89f5e130191e0e4e0da1cb413076ea90">   51</a></span>&#160;      <span class="keyword">inline</span> CControllableEntity&amp; <a class="code" href="classargos_1_1CCrazyflieEntity.html#a89f5e130191e0e4e0da1cb413076ea90">GetControllableEntity</a>() {</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;         <span class="keywordflow">return</span> *m_pcControllableEntity;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;      }</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieEntity.html#af4b536c4d5dea7a202bf118d7b883bcc">   55</a></span>&#160;      <span class="keyword">inline</span> CEmbodiedEntity&amp; <a class="code" href="classargos_1_1CCrazyflieEntity.html#af4b536c4d5dea7a202bf118d7b883bcc">GetEmbodiedEntity</a>() {</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;         <span class="keywordflow">return</span> *m_pcEmbodiedEntity;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;      }</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieEntity.html#a51037207c588b3d1f8e6ad0bae455879">   59</a></span>&#160;      <span class="keyword">inline</span> CQuadRotorEntity&amp; <a class="code" href="classargos_1_1CCrazyflieEntity.html#a51037207c588b3d1f8e6ad0bae455879">GetQuadRotorEntity</a>() {</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;         <span class="keywordflow">return</span> *m_pcQuadRotorEntity;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;      }</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieEntity.html#a353730d2d7b2e781d75ae7a363af32ed">   63</a></span>&#160;      <span class="keyword">inline</span> CRABEquippedEntity&amp; <a class="code" href="classargos_1_1CCrazyflieEntity.html#a353730d2d7b2e781d75ae7a363af32ed">GetRABEquippedEntity</a>() {</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;         <span class="keywordflow">return</span> *m_pcRABEquippedEntity;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;      }</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieEntity.html#a0239815ca879091c815e50f0e80ed3e1">   67</a></span>&#160;      <span class="keyword">inline</span> CLEDEquippedEntity&amp; <a class="code" href="classargos_1_1CCrazyflieEntity.html#a0239815ca879091c815e50f0e80ed3e1">GetLEDEquippedEntity</a>() {</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;         <span class="keywordflow">return</span> *m_pcLEDEquippedEntity;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;      }</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieEntity.html#a64d0cbb9eea18760a5fb3e8019dff525">   71</a></span>&#160;      <span class="keyword">inline</span> <a class="code" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">CCrazyflieBatteryEquippedEntity</a>&amp; <a class="code" href="classargos_1_1CCrazyflieEntity.html#a64d0cbb9eea18760a5fb3e8019dff525">GetBatterySensorEquippedEntity</a>() {</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;          <span class="keywordflow">return</span> *m_pcBatteryEquippedEntity;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;      }</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieEntity.html#ae057c8c3ea8dd10819929c68dcbff7cd">   75</a></span>&#160;      <span class="keyword">virtual</span> std::string <a class="code" href="classargos_1_1CCrazyflieEntity.html#ae057c8c3ea8dd10819929c68dcbff7cd">GetTypeDescription</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;         <span class="keywordflow">return</span> <span class="stringliteral">&quot;crazyflie&quot;</span>;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;      }</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160; </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;   <span class="keyword">private</span>:</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160; </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;      CControllableEntity*              m_pcControllableEntity;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;      CEmbodiedEntity*                  m_pcEmbodiedEntity;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;      CQuadRotorEntity*                 m_pcQuadRotorEntity;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;      CLEDEquippedEntity*               m_pcLEDEquippedEntity;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;      CRABEquippedEntity*               m_pcRABEquippedEntity;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;      <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">CCrazyflieCameraEquippedEntity</a>*   m_pcPerspectiveCameraEquippedEntity;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;      <a class="code" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">CCrazyflieBatteryEquippedEntity</a>*  m_pcBatteryEquippedEntity;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;   };</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;}</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160; </div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryEquippedEntity_html"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></div><div class="ttdef"><b>Definition:</b> crazyflie_battery_equipped_entity.h:35</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:25</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></div><div class="ttdef"><b>Definition:</b> crazyflie_entity.h:27</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html_a0239815ca879091c815e50f0e80ed3e1"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html#a0239815ca879091c815e50f0e80ed3e1">argos::CCrazyflieEntity::GetLEDEquippedEntity</a></div><div class="ttdeci">CLEDEquippedEntity &amp; GetLEDEquippedEntity()</div><div class="ttdef"><b>Definition:</b> crazyflie_entity.h:67</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html_a353730d2d7b2e781d75ae7a363af32ed"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html#a353730d2d7b2e781d75ae7a363af32ed">argos::CCrazyflieEntity::GetRABEquippedEntity</a></div><div class="ttdeci">CRABEquippedEntity &amp; GetRABEquippedEntity()</div><div class="ttdef"><b>Definition:</b> crazyflie_entity.h:63</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html_a51037207c588b3d1f8e6ad0bae455879"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html#a51037207c588b3d1f8e6ad0bae455879">argos::CCrazyflieEntity::GetQuadRotorEntity</a></div><div class="ttdeci">CQuadRotorEntity &amp; GetQuadRotorEntity()</div><div class="ttdef"><b>Definition:</b> crazyflie_entity.h:59</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html_a64d0cbb9eea18760a5fb3e8019dff525"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html#a64d0cbb9eea18760a5fb3e8019dff525">argos::CCrazyflieEntity::GetBatterySensorEquippedEntity</a></div><div class="ttdeci">CCrazyflieBatteryEquippedEntity &amp; GetBatterySensorEquippedEntity()</div><div class="ttdef"><b>Definition:</b> crazyflie_entity.h:71</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html_a89f5e130191e0e4e0da1cb413076ea90"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html#a89f5e130191e0e4e0da1cb413076ea90">argos::CCrazyflieEntity::GetControllableEntity</a></div><div class="ttdeci">CControllableEntity &amp; GetControllableEntity()</div><div class="ttdef"><b>Definition:</b> crazyflie_entity.h:51</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html_a8ab007a8e365146bab417abac2597990"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html#a8ab007a8e365146bab417abac2597990">argos::CCrazyflieEntity::UpdateComponents</a></div><div class="ttdeci">virtual void UpdateComponents()</div><div class="ttdef"><b>Definition:</b> crazyflie_entity.cpp:211</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html_a90dc7f29beaa3cff58aa1b4ef35f6bb8"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html#a90dc7f29beaa3cff58aa1b4ef35f6bb8">argos::CCrazyflieEntity::Init</a></div><div class="ttdeci">virtual void Init(TConfigurationNode &amp;t_tree)</div><div class="ttdef"><b>Definition:</b> crazyflie_entity.cpp:126</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html_aab96e45ee98984caaf1d117a14078961"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html#aab96e45ee98984caaf1d117a14078961">argos::CCrazyflieEntity::Reset</a></div><div class="ttdeci">virtual void Reset()</div><div class="ttdef"><b>Definition:</b> crazyflie_entity.cpp:199</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html_ad685b34fa259509f3c2ade5627cf11b5"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html#ad685b34fa259509f3c2ade5627cf11b5">argos::CCrazyflieEntity::CCrazyflieEntity</a></div><div class="ttdeci">CCrazyflieEntity()</div><div class="ttdef"><b>Definition:</b> crazyflie_entity.cpp:34</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html_ae057c8c3ea8dd10819929c68dcbff7cd"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html#ae057c8c3ea8dd10819929c68dcbff7cd">argos::CCrazyflieEntity::GetTypeDescription</a></div><div class="ttdeci">virtual std::string GetTypeDescription() const</div><div class="ttdef"><b>Definition:</b> crazyflie_entity.h:75</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html_ae2c4f634d5f21ee5c91a1d012881c7c6"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html#ae2c4f634d5f21ee5c91a1d012881c7c6">argos::CCrazyflieEntity::ENABLE_VTABLE</a></div><div class="ttdeci">ENABLE_VTABLE()</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html_af4b536c4d5dea7a202bf118d7b883bcc"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html#af4b536c4d5dea7a202bf118d7b883bcc">argos::CCrazyflieEntity::GetEmbodiedEntity</a></div><div class="ttdeci">CEmbodiedEntity &amp; GetEmbodiedEntity()</div><div class="ttdef"><b>Definition:</b> crazyflie_entity.h:55</div></div>
<div class="ttc" id="anamespaceargos_html"><div class="ttname"><a href="namespaceargos.html">argos</a></div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.cpp:16</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
